<html>

<head>
    <meta http-equiv="Content-Type">
    <meta charset="utf-8">
    <title>Weisst du Wer?</title>
    <link rel="stylesheet" media="screen and (min-device-width: 800px)" href="./wdwd.css" />
    <link rel="stylesheet" media="screen and (max-device-width: 800px)" href="./wdwm.css" />
</head>

<body style="background-color: rgb(212, 238, 212); height: 100%;" id="cb">
    <div id="maindiv">
        <div id="upperdiv" style="width: 500px;">
            <h1 onClick="show()">Weißt du wer? </h1><span id="out"></span><br>
            <input id="vorschlaginput">
            <button onclick="send()">Vorschlag senden</button><br>
            <span id="fetchout"></span><br>
            <h1>Vorschläge:</h1>
            <ul id="submitslist">

            </ul>
            <h1>Bereits Integriert:</h1>
            <ul id="alreadyList">

            </ul>
        </div>
    </div>
    <script>
        var serverip = `${window.location.href}`; // not really serverip but href with '/'
        show();
        getSubmits();
        getAlready();

        function show() {
            fetch(serverip+'getRandom')
                .then((response) => {
                    return response.text();
                })
                .then((data) => {
                    document.getElementById("out").innerHTML = `<br> -${data}`;
                });
        }

        function send() {
            fetch(serverip+'submit/' + document.getElementById('vorschlaginput').value, {
                method: 'POST'
            })
                .then((response) => {
                    return response.text();
                })
                .then((result) => {
                    document.getElementById('fetchout').innerHTML = result;
                    getSubmits();
                })
                .catch((error) => {
                    console.error('Error:', error);
                });
        }

        function getSubmits() {
            fetch(serverip+'getSubmits')
                .then((response) => {
                    return response.json();
                })
                .then((data) => {
                    document.getElementById('submitslist').innerHTML = '';
                    for (var i = 0; i < data.length; i++) {
                        document.getElementById('submitslist').innerHTML += `<li>${data[i]}</li>`;
                    }
                });
        }
        function getAlready() {
            fetch(serverip+'getAlready')
                .then((response) => {
                    return response.json();
                })
                .then((data) => {
                    document.getElementById('alreadyList').innerHTML = '';
                    for (var i = 0; i < data.length; i++) {
                        document.getElementById('alreadyList').innerHTML += `<li>${data[i]}</li>`;
                    }
                });
        }
    </script>

</body>

</html>
